Patchwork [meta-oe,v2] nodejs needs python-native (Was: Re: [meta-oe] [PATCH] nodejs needs python-native)

login
register
mail settings
Submitter Amy Fong
Date May 27, 2014, 4:54 p.m.
Message ID <20140527165429.GA26798@windriver.com>
Download mbox | patch
Permalink /patch/72813/
State New, archived
Headers show

Comments

Amy Fong - May 27, 2014, 4:54 p.m.
From 1f1029bff98bd52a52a5bf81f4f36ca86d28f8cd Mon Sep 17 00:00:00 2001
From: Amy Fong <amy.fong@windriver.com>
Date: Tue, 27 May 2014 12:52:00 -0400
Subject: [PATCH] nodejs needs python-native

nodejs should use python from python-native package. On some hosts, the
default python is missing bz2 support.

Signed-off-by: Amy Fong <amy.fong@windriver.com>
---
 meta-oe/recipes-devtools/nodejs/nodejs_0.8.18.bb | 5 +++++
 1 file changed, 5 insertions(+)

Patch

diff --git a/meta-oe/recipes-devtools/nodejs/nodejs_0.8.18.bb b/meta-oe/recipes-devtools/nodejs/nodejs_0.8.18.bb
index 996d68e..28cf0d6 100644
--- a/meta-oe/recipes-devtools/nodejs/nodejs_0.8.18.bb
+++ b/meta-oe/recipes-devtools/nodejs/nodejs_0.8.18.bb
@@ -5,6 +5,8 @@  LIC_FILES_CHKSUM = "file://LICENSE;md5=95a589a3257ab7dfe37d8a8379e3c72d"
 
 DEPENDS = "openssl"
 
+inherit pythonnative
+
 SRC_URI = "http://nodejs.org/dist/v${PV}/node-v${PV}.tar.gz \
            file://0001-gcc-has-a-builtin-define-to-denote-hard-abi-when-in-.patch \
 "
@@ -40,3 +42,6 @@  RDEPENDS_${PN}_class-native = ""
 
 FILES_${PN} += "${libdir}/node/wafadmin ${libdir}/node_modules ${libdir}/dtrace"
 BBCLASSEXTEND = "native"
+
+FILES_${PN} += "${libdir}/*"
+